package com.ruoyi.syzy.mapper;

import java.util.List;

import com.ruoyi.syzy.domain.BCustomerXkcx;

/**
 * 选科收藏Mapper接口
 * 
 * @author mingxue
 * @date 2021-08-18
 */
public interface BCustomerXkcxMapper {
    /**
     * 查询选科收藏
     * 
     * @param id 选科收藏ID
     * @return 选科收藏
     */
    public BCustomerXkcx selectBCustomerXkcxById(Long id);

    /**
     * 查询选科收藏列表
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 选科收藏集合
     */
    public List<BCustomerXkcx> selectBCustomerXkcxList(BCustomerXkcx bCustomerXkcx);
    public List<BCustomerXkcx> selectBCustomerXkcxList2(BCustomerXkcx bCustomerXkcx);

    /**
     * 新增选科收藏
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 结果
     */
    public int insertBCustomerXkcx(BCustomerXkcx bCustomerXkcx);

    /**
     * 修改选科收藏
     * 
     * @param bCustomerXkcx 选科收藏
     * @return 结果
     */
    public int updateBCustomerXkcx(BCustomerXkcx bCustomerXkcx);

    /**
     * 删除选科收藏
     * 
     * @param id 选科收藏ID
     * @return 结果
     */
    public int deleteBCustomerXkcxById(Long id);

    /**
     * 批量删除选科收藏
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBCustomerXkcxByIds(Long[] ids);

}
